<xml> </xml>

IrrKlang.NET |

# IAudioRecorder Methods

The methods of the IAudioRecorder class are listed below. For a complete list of IAudioRecorder class members, see the IAudioRecorder Members topic.

#### Public Instance Methods

AddSoundSourceFromRecordedAudio | Creates a sound source for the recorded audio data, so that it can be played back. Only works after calling stopRecordingAudio().
ClearRecordedAudioDataBuffer | Clears recorded audio data buffer, freeing memory. This method will only succeed if audio recording is currently stopped.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
StartRecordingBufferedAudio | Overloaded.
StopRecordingAudio | Stops recording audio.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize | Destructor
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

IAudioRecorder Class | IrrKlang Namespace